## galette-plugin-fullcard 1.5

=== lang/Makefile ===
.SUFFIXES = .mo .po
INSTALLDIR = .
LANGUAGES = en_US fr_FR.utf8
PACKAGE = galette_fullcard
MKLANG = ../../../lang/make_lang_l12n.py
PHP_SOURCES = $(shell find ../ -maxdepth 1 -name \*.php) \
              $(shell find ../templates -name \*.tpl)


all : messages.po lang
	@echo "Génération des fichiers *.po :"
	@for l in ${LANGUAGES}; do \
	  echo -n "  Mise à jour de $$l.po"; \
	  msgmerge -U $$l.po messages.po >/dev/null ; \
	  mkdir -p ${INSTALLDIR}/$$l/LC_MESSAGES; \
	  echo "    formatage de ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo."; \
	  msgfmt $$l.po -o ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new; \
	  if diff -qI 'PO-Revision-Date:.*' ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo > /dev/null; then \
	    echo "    ${PACKAGE}.mo non mis à jour."; \
	    rm ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new; \
	  else \
	    echo "    ${PACKAGE}.mo mis à jour."; \
	    mv ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo; \
	  fi; \
	done


lang :
	@echo "Génération des fichiers lang_*.php"
	@echo "  Mise à jour de lang_english.php"
	@echo "    extraction des chaines..."
	@${MKLANG} en_US.po lang_english.php.new
	@if diff -qI 'This file was automatically generated.*' lang_english.php lang_english.php.new > /dev/null; then \
	  echo "    lang_english.php non mis à jour."; \
	  rm lang_english.php.new; \
	else \
	  echo "    lang_english.php mis à jour."; \
	  mv lang_english.php.new lang_english.php; \
	fi; 

	@echo "  Mise à jour de lang_french.php"
	@echo "    extraction des chaines..."
	@${MKLANG} fr_FR.utf8.po lang_french.php.new
	@if diff -qI 'This file was automatically generated.*' lang_french.php lang_french.php.new > /dev/null; then \
	  echo "    lang_french.php non mis à jour."; \
	  rm lang_french.php.new; \
	else \
	  echo "    lang_french.php mis à jour."; \
	  mv lang_french.php.new lang_french.php; \
	fi; 

messages.po : ${PHP_SOURCES} Makefile xgettext.py
	./xgettext.py ${PHP_SOURCES}

check:
	@for FILE in ${PHP_SOURCES}; do				\
		test -f $$FILE || echo "Not found $$FILE";	\
	done 
	@for NFILE in ../*.php ../includes/*.php		\
			../templates/default/*.tpl; do		\
		for OFILE in ${PHP_SOURCES}; do			\
			if [ "$$NFILE" = "$$OFILE" ]; then	\
				unset NFILE;			\
				break;				\
			fi;					\
		done;						\
		test -z "$$NFILE" || echo "Missing $$NFILE";	\
	done

=== debian/changelog ===
galette-plugin-fullcard (1.5-1) unstable; urgency=medium

  * Imported Upstream version 1.5
  * Updated standard versions & make plugin depend on galette >=0.8

 -- François-Régis Vuillemin <frv-debian@miradou.com>  Wed, 03 Dec 2014 16:12:10 +0100

galette-plugin-fullcard (1.4-2) unstable; urgency=low

  * Updating Standards-Version
  * Taking over maintenance from Raphaël.

 -- François-Régis Vuillemin <frv-debian@miradou.com>  Thu, 06 Feb 2014 13:35:03 +0100

galette-plugin-fullcard (1.4-1) unstable; urgency=low

  * New upstream release.
  * Update Git urls.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 21 Aug 2013 22:15:17 +0200

galette-plugin-fullcard (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 13 Jun 2013 00:29:41 +0200

galette-plugin-fullcard (1.2-1) unstable; urgency=low

  * Initial release.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Mar 2013 21:21:34 +0100

=== debian/control ===
Source: galette-plugin-fullcard
Section: web
Priority: optional
Maintainer: François-Régis Vuillemin <frv-debian@miradou.com>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://galette.eu
Vcs-Git: git://anonscm.debian.org/collab-maint/galette-plugin-fullcard.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/galette-plugin-fullcard.git;a=summary

Package: galette-plugin-fullcard
Architecture: all
Depends: galette (>=0.8), ${misc:Depends}
Description: Membership card plugin for Galette
 Galette is a web application for French-speaking associations that
 want to manage their list of members online.
 .
 This plugin makes it possible to generate membership cards as
 downloadable PDF documents.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	# Cleanup useless stuff
	rm -rf debian/galette-plugin-fullcard/usr/share/galette/plugins/galette-plugin-fullcard/lang/*.py

=== debian/watch ===
version=3
http://download.tuxfamily.org/galette/plugins/ \
galette-plugin-fullcard-([\d\.]+)\.tar\.bz2
